## android-platform-development 8.1.0+r23

=== clion/frameworks/native/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)
project(native)
add_subdirectory(services/surfaceflinger)
add_subdirectory(libs/ui/libui-arm64-android)
add_subdirectory(libs/gui/libgui-arm64-android)

=== clion/frameworks/native/services/surfaceflinger/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)
project(surfaceflinger)
set(ANDROID_ROOT ../../../../../../../../..)
set(SURFACEFLINGER_ROOT ${ANDROID_ROOT}/frameworks/native/services/surfaceflinger)

set(CMAKE_C_COMPILER "${ANDROID_ROOT}/prebuilts/clang/host/linux-x86/clang-3289846/bin/clang")
set(CMAKE_CXX_COMPILER "${ANDROID_ROOT}/prebuilts/clang/host/linux-x86/clang-3289846/bin/clang++")

set(SOURCE_FILES
  ${SURFACEFLINGER_ROOT}/DisplayHardware/FramebufferSurface.cpp
  ${SURFACEFLINGER_ROOT}/DisplayHardware/PowerHAL.cpp
  ${SURFACEFLINGER_ROOT}/DisplayHardware/VirtualDisplaySurface.cpp
  ${SURFACEFLINGER_ROOT}/DisplayHardware/HWC2On1Adapter.cpp
  ${SURFACEFLINGER_ROOT}/Effects/Daltonizer.cpp
  ${SURFACEFLINGER_ROOT}/EventLog/EventLog.cpp
  ${SURFACEFLINGER_ROOT}/RenderEngine/Description.cpp
  ${SURFACEFLINGER_ROOT}/RenderEngine/GLES20RenderEngine.cpp
  ${SURFACEFLINGER_ROOT}/RenderEngine/GLExtensions.cpp
  ${SURFACEFLINGER_ROOT}/RenderEngine/Mesh.cpp
  ${SURFACEFLINGER_ROOT}/RenderEngine/Program.cpp
  ${SURFACEFLINGER_ROOT}/RenderEngine/ProgramCache.cpp
  ${SURFACEFLINGER_ROOT}/RenderEngine/RenderEngine.cpp
  ${SURFACEFLINGER_ROOT}/RenderEngine/Texture.cpp
  ${SURFACEFLINGER_ROOT}/Client.cpp
  ${SURFACEFLINGER_ROOT}/DdmConnection.cpp
  ${SURFACEFLINGER_ROOT}/DisplayDevice.cpp
  ${SURFACEFLINGER_ROOT}/DispSync.cpp
  ${SURFACEFLINGER_ROOT}/EventControlThread.cpp
  ${SURFACEFLINGER_ROOT}/EventThread.cpp
  ${SURFACEFLINGER_ROOT}/FrameTracker.cpp
  ${SURFACEFLINGER_ROOT}/GpuService.cpp
  ${SURFACEFLINGER_ROOT}/Layer.cpp
  ${SURFACEFLINGER_ROOT}/LayerDim.cpp
  ${SURFACEFLINGER_ROOT}/LayerRejecter.cpp
  ${SURFACEFLINGER_ROOT}/main_surfaceflinger.cpp
  ${SURFACEFLINGER_ROOT}/MessageQueue.cpp
  ${SURFACEFLINGER_ROOT}/MonitoredProducer.cpp
  ${SURFACEFLINGER_ROOT}/SurfaceFlingerConsumer.cpp
  ${SURFACEFLINGER_ROOT}/SurfaceInterceptor.cpp
  ${SURFACEFLINGER_ROOT}/Transform.cpp
  )

set(USE_HWC2 1)

if (USE_HWC2)
  list(APPEND SOURCE_FILES "${SURFACEFLINGER_ROOT}/DisplayHardware/ComposerHal.cpp")
  list(APPEND SOURCE_FILES "${SURFACEFLINGER_ROOT}/SurfaceFlinger.cpp")
  list(APPEND SOURCE_FILES "${SURFACEFLINGER_ROOT}/DisplayHardware/HWC2.cpp")
  list(APPEND SOURCE_FILES "${SURFACEFLINGER_ROOT}/DisplayHardware/HWComposer.cpp")

  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DBYPASS_IHWC")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DUSE_HWC2")
else()
  list(APPEND SOURCE_FILES "${SURFACEFLINGER_ROOT}/SurfaceFlinger_hwc1.cpp")
  list(APPEND SOURCE_FILES "${SURFACEFLINGER_ROOT}/DisplayHardware/HWComposer_hwc1.cpp")
  list(APPEND SOURCE_FILES "${SURFACEFLINGER_ROOT}/DisplayHardware/HWComposer_hwc1.cpp")
endif()

# GLOBAL FLAGS:
# parameters: '${config.CommonGlobalIncludes} ${config.CommonGlobalSystemIncludes} ${config.Arm64IncludeFlags} ${config.CommonNativehelperInclude} -Iframeworks/native/libs/ui  ${config.Arm64ClangCflags} ${config.CommonClangGlobalCflags} ${config.DeviceClangGlobalCflags} ${config.Arm64ClangCortexA53Cflags} -Isystem/libhidl/base/include -Isystem/core/base/include -Isystem/libhidl/transport/include -Isystem/core/base/include -Isystem/libhidl/base/include -Isystem/core/base/include -Iout/soong/.intermediates/system/libhidl/transport/manager/1.0/android.hidl.manager@1.0_genc++_headers/gen -Iout/soong/.intermediates/system/libhidl/transport/base/1.0/android.hidl.base@1.0_genc++_headers/gen -Isystem/libhwbinder/include -Isystem/core/base/include -Isystem/libhidl/base/include -Isystem/core/base/include -Isystem/libhidl/transport/include -Isystem/core/base/include -Isystem/libhidl/base/include -Isystem/core/base/include -Iout/soong/.intermediates/system/libhidl/transport/manager/1.0/android.hidl.manager@1.0_genc++_headers/gen -Iout/soong/.intermediates/system/libhidl/transport/base/1.0/android.hidl.base@1.0_genc++_headers/gen -Isystem/libhwbinder/include -Isystem/core/base/include -Iout/soong/.intermediates/hardware/interfaces/graphics/common/1.0/android.hardware.graphics.common@1.0_genc++_headers/gen -Isystem/libhidl/base/include -Isystem/core/base/include -Isystem/libhidl/transport/include -Isystem/core/base/include -Isystem/libhidl/base/include -Isystem/core/base/include -Iout/soong/.intermediates/system/libhidl/transport/manager/1.0/android.hidl.manager@1.0_genc++_headers/gen -Iout/soong/.intermediates/system/libhidl/transport/base/1.0/android.hidl.base@1.0_genc++_headers/gen -Isystem/libhwbinder/include -Isystem/core/base/include -Iout/soong/.intermediates/system/libhidl/transport/base/1.0/android.hidl.base@1.0_genc++_headers/gen -Iout/soong/.intermediates/hardware/interfaces/graphics/allocator/2.0/android.hardware.graphics.allocator@2.0_genc++_headers/gen -Isystem/libhidl/base/include -Isystem/core/base/include -Isystem/libhidl/transport/include -Isystem/core/base/include -Isystem/libhidl/base/include -Isystem/core/base/include -Iout/soong/.intermediates/system/libhidl/transport/manager/1.0/android.hidl.manager@1.0_genc++_headers/gen -Iout/soong/.intermediates/system/libhidl/transport/base/1.0/android.hidl.base@1.0_genc++_headers/gen -Isystem/libhwbinder/include -Isystem/core/base/include -Isystem/libhidl/base/include -Isystem/core/base/include -Isystem/libhidl/transport/include -Isystem/core/base/include -Isystem/libhidl/base/include -Isystem/core/base/include -Iout/soong/.intermediates/system/libhidl/transport/manager/1.0/android.hidl.manager@1.0_genc++_headers/gen -Iout/soong/.intermediates/system/libhidl/transport/base/1.0/android.hidl.base@1.0_genc++_headers/gen -Isystem/libhwbinder/include -Isystem/core/base/include -Isystem/libhidl/base/include -Isystem/core/base/include -Isystem/libhidl/transport/include -Isystem/core/base/include -Isystem/libhidl/base/include -Isystem/core/base/include -Iout/soong/.intermediates/system/libhidl/transport/manager/1.0/android.hidl.manager@1.0_genc++_headers/gen -Iout/soong/.intermediates/system/libhidl/transport/base/1.0/android.hidl.base@1.0_genc++_headers/gen -Isystem/libhwbinder/include -Isystem/core/base/include -Iout/soong/.intermediates/hardware/interfaces/graphics/common/1.0/android.hardware.graphics.common@1.0_genc++_headers/gen -Isystem/libhidl/base/include -Isystem/core/base/include -Isystem/libhidl/transport/include -Isystem/core/base/include -Isystem/libhidl/base/include -Isystem/core/base/include -Iout/soong/.intermediates/system/libhidl/transport/manager/1.0/android.hidl.manager@1.0_genc++_headers/gen -Iout/soong/.intermediates/system/libhidl/transport/base/1.0/android.hidl.base@1.0_genc++_headers/gen -Isystem/libhwbinder/include -Isystem/core/base/include -Iout/soong/.intermediates/system/libhidl/transport/base/1.0/android.hidl.base@1.0_genc++_headers/gen -Iout/soong/.intermediates/hardware/interfaces/graphics/allocator/2.0/android.hardware.graphics.allocator@2.0_genc++_headers/gen -Isystem/libhidl/base/include -Isystem/core/base/include -Isystem/libhidl/transport/include -Isystem/core/base/include -Isystem/libhidl/base/include -Isystem/core/base/include -Iout/soong/.intermediates/system/libhidl/transport/manager/1.0/android.hidl.manager@1.0_genc++_headers/gen -Iout/soong/.intermediates/system/libhidl/transport/base/1.0/android.hidl.base@1.0_genc++_headers/gen -Isystem/libhwbinder/include -Isystem/core/base/include -Iout/soong/.intermediates/hardware/interfaces/graphics/common/1.0/android.hardware.graphics.common@1.0_genc++_headers/gen -Isystem/libhidl/base/include -Isystem/core/base/include -Isystem/libhidl/transport/include -Isystem/core/base/include -Isystem/libhidl/base/include -Isystem/core/base/include -Iout/soong/.intermediates/system/libhidl/transport/manager/1.0/android.hidl.manager@1.0_genc++_headers/gen -Iout/soong/.intermediates/system/libhidl/transport/base/1.0/android.hidl.base@1.0_genc++_headers/gen -Isystem/libhwbinder/include -Isystem/core/base/include -Iout/soong/.intermediates/system/libhidl/transport/base/1.0/android.hidl.base@1.0_genc++_headers/gen -Iout/soong/.intermediates/hardware/interfaces/graphics/mapper/2.0/android.hardware.graphics.mapper@2.0_genc++_headers/gen -Isystem/core/base/include -Isystem/libhidl/base/include -Isystem/core/base/include -Isystem/libhidl/transport/include -Isystem/core/base/include -Isystem/libhidl/base/include -Isystem/core/base/include -Iout/soong/.intermediates/system/libhidl/transport/manager/1.0/android.hidl.manager@1.0_genc++_headers/gen -Iout/soong/.intermediates/system/libhidl/transport/base/1.0/android.hidl.base@1.0_genc++_headers/gen -Isystem/core/libsync/include -Iexternal/libcxx/include -Iexternal/libcxxabi/include'
# variable ${config.CommonGlobalIncludes} = '-Isystem/core/include -Isystem/media/audio/include -Ihardware/libhardware/include -Ihardware/libhardware_legacy/include -Ihardware/ril/include -Ilibnativehelper/include -Iframeworks/native/include -Iframeworks/native/opengl/include'
# parameters: '-Isystem/core/include -Isystem/media/audio/include -Ihardware/libhardware/include -Ihardware/libhardware_legacy/include -Ihardware/ril/include -Ilibnativehelper/include -Iframeworks/native/include -Iframeworks/native/opengl/include'
# variable ${config.CommonGlobalSystemIncludes} = '-isystem frameworks/av/include'
# parameters: '-isystem frameworks/av/include'
# variable ${config.Arm64IncludeFlags} = '-isystem bionic/libc/arch-arm64/include -isystem bionic/libc/include -isystem bionic/libc/kernel/uapi -isystem bionic/libc/kernel/uapi/asm-arm64 -isystem bionic/libc/kernel/android/uapi'
# parameters: '-isystem bionic/libc/arch-arm64/include -isystem bionic/libc/include -isystem bionic/libc/kernel/uapi -isystem bionic/libc/kernel/uapi/asm-arm64 -isystem bionic/libc/kernel/android/uapi'
# variable ${config.CommonNativehelperInclude} = '-Ilibnativehelper/include/nativehelper'
# parameters: '-Ilibnativehelper/include/nativehelper'
# variable ${config.Arm64ClangCflags} = '-fno-exceptions -Wno-multichar -fno-strict-aliasing -fstack-protector-strong -ffunction-sections -fdata-sections -funwind-tables -Wa,--noexecstack -Werror=format-security -D_FORTIFY_SOURCE=2 -fno-short-enums -no-canonical-prefixes -Werror=pointer-to-int-cast -Werror=int-to-pointer-cast -Werror=implicit-function-declaration -DNDEBUG -O2 -g -Wstrict-aliasing=2'
# parameters: '-fno-exceptions -Wno-multichar -fno-strict-aliasing -fstack-protector-strong -ffunction-sections -fdata-sections -funwind-tables -Wa,--noexecstack -Werror=format-security -D_FORTIFY_SOURCE=2 -fno-short-enums -no-canonical-prefixes -Werror=pointer-to-int-cast -Werror=int-to-pointer-cast -Werror=implicit-function-declaration -DNDEBUG -O2 -g -Wstrict-aliasing=2'
# variable ${config.CommonClangGlobalCflags} = '-DANDROID -fmessage-length=0 -W -Wall -Wno-unused -Winit-self -Wpointer-arith -DNDEBUG -UDEBUG -fdebug-prefix-map=/proc/self/cwd= -D__compiler_offsetof=__builtin_offsetof -Werror=int-conversion -Wno-reserved-id-macro -Wno-format-pedantic -Wno-unused-command-line-argument -fcolor-diagnostics -Wno-expansion-to-defined'
# parameters: '-DANDROID -fmessage-length=0 -W -Wall -Wno-unused -Winit-self -Wpointer-arith -DNDEBUG -UDEBUG -fdebug-prefix-map=/proc/self/cwd= -D__compiler_offsetof=__builtin_offsetof -Werror=int-conversion -Wno-reserved-id-macro -Wno-format-pedantic -Wno-unused-command-line-argument -fcolor-diagnostics -Wno-expansion-to-defined'
# variable ${config.DeviceClangGlobalCflags} = '-Werror=return-type -Werror=non-virtual-dtor -Werror=address -Werror=sequence-point -Werror=date-time -nostdlibinc'
# parameters: '-Werror=return-type -Werror=non-virtual-dtor -Werror=address -Werror=sequence-point -Werror=date-time -nostdlibinc'
# variable ${config.Arm64ClangCortexA53Cflags} = '-mcpu=cortex-a53'
# parameters: '-mcpu=cortex-a53'
include_directories(SYSTEM "${ANDROID_ROOT}/bionic/libc/arch-arm64/include")
include_directories(SYSTEM "${ANDROID_ROOT}/frameworks/av/include")
include_directories(SYSTEM "${ANDROID_ROOT}/bionic/libc/include")
include_directories(SYSTEM "${ANDROID_ROOT}/bionic/libc/kernel/uapi")
include_directories(SYSTEM "${ANDROID_ROOT}/bionic/libc/kernel/uapi/asm-arm64")

## android-platform-development 6.0.1+r16

=== debian/changelog ===
android-platform-development (6.0.1+r16-1) unstable; urgency=medium

  * Initial release (Closes: #814964)

 -- Kai-Chung Yan <seamlikok@gmail.com>  Wed, 17 Feb 2016 16:03:21 +0800

=== debian/control ===
Source: android-platform-development
Section: devel
Priority: optional
Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
Uploaders: Kai-Chung Yan <seamlikok@gmail.com>
Build-Depends: android-libetc1-dev (>= 1:6.0.1+r16~) [amd64 i386],
               android-platform-build-headers (>= 1:6.0.1+r16~) [amd64 i386],
               debhelper (>=9),
               dh-exec,
               libpng-dev [amd64 i386],
               pandoc [amd64 i386]
Standards-Version: 3.9.6
Homepage: https://android.googlesource.com/platform/development
Vcs-Git: https://anonscm.debian.org/git/android-tools/android-platform-development.git
Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/android-platform-development.git

Package: etc1tool
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ETC1 conversion tool
 etc1tool is a command line utility that lets you encode PNG images to
 the ETC1 compression standard and decode ETC1 compressed images back
 to PNG. It is part of the Android SDK for working with media files
 for game apps. The standard for the ETC1 texture format is here:
 http://www.khronos.org/registry/gles/extensions/OES/OES_compressed_ETC1_RGB8_texture.txt

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

UPSTREAM_TAG = android-$(subst +,_,$(DEB_VERSION_UPSTREAM))

%:
	dh $@

override_dh_auto_build:
	make -f debian/etc1tool.mk
	pandoc -s -o debian/etc1tool.1 debian/etc1tool.1.md

override_dh_auto_clean:
	dh_auto_clean
	make clean -f debian/etc1tool.mk
	$(RM) debian/*.1

get-orig-source: $(UPSTREAM_TAG).tar.gz
	mk-origtargz --repack --compression xz $<

$(UPSTREAM_TAG).tar.gz:
	wget https://android.googlesource.com/platform/development/+archive/$(UPSTREAM_TAG).tar.gz

## android-platform-development 6.0.1+r55

=== debian/changelog ===
android-platform-development (6.0.1+r55-1) unstable; urgency=medium

  [ Kai-Chung Yan ]
  * d/copyright: Improvements
  * Search for Android libraries in multiarch path (Closes: #835695)
  * Define NDEBUG for C++ binaries
  * Update Standards-Version => 3.9.8 (no changes)

  [ Chirayu Desai ]
  * New upstream release (Identical to 6.0.1+r16)
  * debian: Add watch file for usage with uscan

 -- Kai-Chung Yan <seamlikok@gmail.com>  Mon, 29 Aug 2016 20:16:39 +0800

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: devel
 Priority: optional
 Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
-Uploaders: Kai-Chung Yan <seamlikok@gmail.com>
-Build-Depends: android-libetc1-dev (>= 1:6.0.1+r16~) [amd64 i386],
-               android-platform-build-headers (>= 1:6.0.1+r16~) [amd64 i386],
+Uploaders: Kai-Chung Yan <seamlikok@gmail.com>,
+           Chirayu Desai <chirayudesai1@gmail.com>
+Build-Depends: android-libetc1-dev (>= 1:6.0.1+r55-1~) [amd64 i386],
+               android-platform-build-headers (>= 1:6.0.1+r55~) [amd64 i386],
                debhelper (>=9),
                dh-exec,
                libpng-dev [amd64 i386],
                pandoc [amd64 i386]
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://android.googlesource.com/platform/development
 Vcs-Git: https://anonscm.debian.org/git/android-tools/android-platform-development.git
 Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/android-platform-development.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_CXXFLAGS_MAINT_APPEND = -fPIC
export DEB_CPPFLAGS_MAINT_APPEND = -DNDEBUG -include android/arch/AndroidConfig.h
export DEB_LDFLAGS_MAINT_APPEND = -fPIC
UPSTREAM_TAG = android-$(subst +,_,$(DEB_VERSION_UPSTREAM))

%:
	dh $@

override_dh_auto_build:
	make -f debian/etc1tool.mk
	pandoc -s -o debian/etc1tool.1 debian/etc1tool.1.md

override_dh_auto_clean:
	dh_auto_clean
	make clean -f debian/etc1tool.mk
	$(RM) debian/*.1

get-orig-source:
	uscan --download-current-version --force-download

## android-platform-development 7.0.0+r1

=== debian/changelog ===
android-platform-development (7.0.0+r1-2) unstable; urgency=medium

  * Upload to unstable
  * d/control: Unify the maintainer name to "Android Tools Maintainers"

 -- Kai-Chung Yan <seamlikok@gmail.com>  Tue, 06 Dec 2016 22:03:10 +0800

android-platform-development (7.0.0+r1-1) experimental; urgency=medium

  * New upstream release
  * New patch: typos.patch
  * Update to debhelper 10
  * Enable builds for ARM & MIPS
  * d/copyright: Exclude "prebuilt"

 -- Kai-Chung Yan <seamlikok@gmail.com>  Sat, 01 Oct 2016 14:18:02 +0800

=== debian/control ===
Source: android-platform-development
Section: devel
Priority: optional
Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
Uploaders: Kai-Chung Yan <seamlikok@gmail.com>,
           Chirayu Desai <chirayudesai1@gmail.com>
Build-Depends: android-libetc1-dev (>= 1:7.0.0+r1~),
               debhelper (>= 10),
               libpng-dev (>= 1.6),
               pandoc
Standards-Version: 3.9.8
Homepage: https://android.googlesource.com/platform/development
Vcs-Git: https://anonscm.debian.org/git/android-tools/android-platform-development.git
Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/android-platform-development.git

Package: etc1tool
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ETC1 conversion tool
 etc1tool is a command line utility that lets you encode PNG images to
 the ETC1 compression standard and decode ETC1 compressed images back
 to PNG. It is part of the Android SDK for working with media files
 for game apps. The standard for the ETC1 texture format is here:
 http://www.khronos.org/registry/gles/extensions/OES/OES_compressed_ETC1_RGB8_texture.txt

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,8 @@
 #!/usr/bin/make -f
 
-include /usr/share/dpkg/pkg-info.mk
-
 export DEB_CXXFLAGS_MAINT_APPEND = -fPIC
-export DEB_CPPFLAGS_MAINT_APPEND = -DNDEBUG -include android/arch/AndroidConfig.h
+export DEB_CPPFLAGS_MAINT_APPEND = -DNDEBUG -I/usr/include/android
 export DEB_LDFLAGS_MAINT_APPEND = -fPIC
-UPSTREAM_TAG = android-$(subst +,_,$(DEB_VERSION_UPSTREAM))
 
 %:
 	dh $@

## android-platform-development 7.0.0+r33

=== debian/changelog ===
android-platform-development (7.0.0+r33-1) unstable; urgency=medium

  * New upstream release

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 24 Apr 2017 23:57:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
 Uploaders: Kai-Chung Yan <seamlikok@gmail.com>,
+           Hans-Christoph Steiner <hans@eds.org>,
            Chirayu Desai <chirayudesai1@gmail.com>
-Build-Depends: android-libetc1-dev (>= 1:7.0.0+r1~),
+Build-Depends: android-libetc1-dev (>= 1:7.0.0+r33~),
                debhelper (>= 10),
                libpng-dev (>= 1.6),
                pandoc

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 export DEB_CXXFLAGS_MAINT_APPEND = -fPIC
 export DEB_CPPFLAGS_MAINT_APPEND = -DNDEBUG -I/usr/include/android
@@ -16,5 +18,11 @@
 	make clean -f debian/etc1tool.mk
 	$(RM) debian/*.1
 
-get-orig-source:
-	uscan --download-current-version --force-download
+get-orig-source: $(subst android-platform-,,$(DEB_SOURCE)).tar.gz
+	mkdir -p $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
+	tar -f $< -x --gzip --directory $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
+	(cd $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM); tar --create --xz -f ../../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz --exclude-from ../debian/orig.excludes --mtime=20121221 * .gitignore)
+	$(RM) -r $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
+
+$(subst android-platform-,,$(DEB_SOURCE)).tar.gz:
+	wget https://android.googlesource.com/platform/$(subst -,/,$(subst android-platform-,,$(DEB_SOURCE)))/+archive/android-$(subst +,_,$(DEB_VERSION_UPSTREAM)).tar.gz -O $@

=== debian/watch ===
version=4
opts="pagemangle=s%\">android-%\.tar\.gz\">android-%g;s%/\+/%/+archive/%g, \
      uversionmangle=s%\.(\d+)\.\.tar\.gz%\+r$1%, \
      filenamemangle=s%[\w\/]+\+archive\/android-%@PACKAGE@-%, \
      repack, compression=xz" \
https://android.googlesource.com/platform/development/+refs \
    [\w\/]+\+archive\/android-([0-9\.]+)_r(\d+|\d+\.\d+|\w)(\.tar\.gz) debian uupdate

## android-platform-development 8.1.0+r23

=== debian/changelog ===
android-platform-development (8.1.0+r23-1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1819448.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Mar 2019 15:30:21 +0100

android-platform-development (8.1.0+r23-1) unstable; urgency=medium

  [ Saif Abdul Cassim ]
  * New upstream release
  * Fixed FTCBFS thanks to Helmut Grohne (Closes: #870766)
  * Switch to Salsa
  * Debhelper compat level => 11

  [ Kai-Chung Yan ]
  * Standards-Version => 4.2.1

 -- Kai-Chung Yan <seamlikok@gmail.com>  Mon, 15 Oct 2018 15:53:02 +0800

=== debian/rules ===
--- 
+++ 
@@ -10,13 +10,8 @@
 	dh $@
 
 override_dh_auto_build:
-	make -f debian/etc1tool.mk
+	dh_auto_build --buildsystem=makefile -- -f debian/etc1tool.mk
 	pandoc -s -o debian/etc1tool.1 debian/etc1tool.1.md
-
-override_dh_auto_clean:
-	dh_auto_clean
-	make clean -f debian/etc1tool.mk
-	$(RM) debian/*.1
 
 get-orig-source: $(subst android-platform-,,$(DEB_SOURCE)).tar.gz
 	mkdir -p $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)

## android-platform-development 10.0.0+r36

=== ToyVpn/server/linux/Makefile ===
#
# Copyright (C) 2011 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

all:
	g++ -Wall -o ToyVpnServer ToyVpnServer.cpp

=== clion/frameworks/native/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)
project(native)
add_subdirectory(libs/gui/libgui-arm64-android)
add_subdirectory(libs/ui/libui-arm64-android)
add_subdirectory(services/surfaceflinger/libsurfaceflinger-arm64-android)
add_subdirectory(services/surfaceflinger/surfaceflinger-arm64-android)

=== debian/changelog ===
android-platform-development (10.0.0+r36-1) unstable; urgency=medium

  * Team upload.

  [ Roger Shimizu ]
  * d/watch: Update rule to get new upstream version

  [ Hans-Christoph Steiner ]
  * New upstream version
  * ndk is no longer included in the source
  * Rules-Requires-Root: no

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 03 Jan 2021 09:00:53 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
 Uploaders: Kai-Chung Yan <seamlikok@gmail.com>,
-           Hans-Christoph Steiner <hans@eds.org>,
            Chirayu Desai <chirayudesai1@gmail.com>
-Build-Depends: android-libetc1-dev (>= 1:7.0.0+r33~),
-               debhelper (>= 10),
+Build-Depends: android-libetc1-dev (>= 1:8.1.0+r23),
+               debhelper (>= 11),
                libpng-dev (>= 1.6),
-               pandoc
-Standards-Version: 3.9.8
+               pandoc,
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 Homepage: https://android.googlesource.com/platform/development
-Vcs-Git: https://anonscm.debian.org/git/android-tools/android-platform-development.git
-Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/android-platform-development.git
+Vcs-Git: https://salsa.debian.org/android-tools-team/android-platform-development.git
+Vcs-Browser: https://salsa.debian.org/android-tools-team/android-platform-development
 
 Package: etc1tool
 Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 override_dh_auto_build:
 	dh_auto_build --buildsystem=makefile -- -f debian/etc1tool.mk
-	pandoc -s -o debian/etc1tool.1 debian/etc1tool.1.md
+	pandoc --standalone --from=markdown-smart --to=man --output=debian/etc1tool.1 debian/etc1tool.1.md
 
 get-orig-source: $(subst android-platform-,,$(DEB_SOURCE)).tar.gz
 	mkdir -p $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)

=== debian/watch ===
version=4
opts="pagemangle=s%\">android-%\.tar\.gz\">android-%g;s%/\+/refs/tags/%/+archive/%g, \
      uversionmangle=s%\.(\d+)\.\.tar\.gz%\+r$1%, \
      filenamemangle=s%[\w\/]+\+archive\/android-%@PACKAGE@-%, \
      repack, compression=xz" \
https://android.googlesource.com/platform/development/+refs \
    [\w\/]+\+archive\/android-([0-9\.]+)_r(\d+|\d+\.\d+|\w)(\.tar\.gz) debian uupdate
